# Record Class CLNValidationError

java.lang.Object
java.lang.Record
com.io7m.calino.validation.api.CLNValidationError

Record Components:
  `source` - The source file
  `offset` - The octet offset of the error
  `status` - The error status
  `specificationSectionId` - The UUID of the specification section describing the error, if any
  `message` - The error message
  `exception` - The exception, if any

public record CLNValidationError(URI source, long offset, CLNValidationStatus status, Optional<UUID> specificationSectionId, String message, Optional<Exception> exception) extends Record
An error produced during validation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNValidationError(URI source, long offset, CLNValidationStatus status, Optional<UUID> specificationSectionId, String message, Optional<Exception> exception)`
  An error produced during validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Optional<Exception>`
  `exception()`
  Returns the value of the `exception` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `long`
  `offset()`
  Returns the value of the `offset` record component.
  `URI`
  `source()`
  Returns the value of the `source` record component.
  `Optional<UUID>`
  `specificationSectionId()`
  Returns the value of the `specificationSectionId` record component.
  `CLNValidationStatus`
  `status()`
  Returns the value of the `status` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNValidationError

    public CLNValidationError(URI source, long offset, CLNValidationStatus status, Optional<UUID> specificationSectionId, String message, Optional<Exception> exception)
    An error produced during validation.
    Parameters:
      `source` - The source file
      `offset` - The octet offset of the error
      `status` - The error status
      `specificationSectionId` - The UUID of the specification section describing the error, if any
      `message` - The error message
      `exception` - The exception, if any

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### source

    public URI source()
    Returns the value of the `source` record component.
    Returns:
      the value of the `source` record component

  - ### offset

    public long offset()
    Returns the value of the `offset` record component.
    Returns:
      the value of the `offset` record component

  - ### status

    public CLNValidationStatus status()
    Returns the value of the `status` record component.
    Returns:
      the value of the `status` record component

  - ### specificationSectionId

    public Optional<UUID> specificationSectionId()
    Returns the value of the `specificationSectionId` record component.
    Returns:
      the value of the `specificationSectionId` record component

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Returns:
      the value of the `message` record component

  - ### exception

    public Optional<Exception> exception()
    Returns the value of the `exception` record component.
    Returns:
      the value of the `exception` record component